import request from '@/utils/request'

// 查询设备控制操作日志列表
export function listControllog(query) {
  return request({
    url: '/control/controllog/list',
    method: 'get',
    params: query
  })
}

// 查询设备控制操作日志详细
export function getControllog(id) {
  return request({
    url: '/control/controllog/' + id,
    method: 'get'
  })
}

// 新增设备控制操作日志
export function addControllog(data) {
  return request({
    url: '/control/controllog',
    method: 'post',
    data: data
  })
}

// 修改设备控制操作日志
export function updateControllog(data) {
  return request({
    url: '/control/controllog',
    method: 'put',
    data: data
  })
}

// 删除设备控制操作日志
export function delControllog(id) {
  return request({
    url: '/control/controllog/' + id,
    method: 'delete'
  })
}
